Get job position list

Prev Next

Available in Classic and VPC

Get the job position list.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncloudmcc/v1/companies/{companyId}/job-positions

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
limit Number Optional Maximum item count of query data
  • Default: 10
offset Number Optional Start location of query data
  • Default: 0

Request example

The request example is as follows:

curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/job-positions' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
page Object - Page information
page.count Number - Number of response results
page.offset Number - Start location of query data
page.limit Number - Maximum item count of query data
page.total Number - Total response count
jobPositions Array - Job position list: jobPositions

jobPositions

The following describes jobPositions.

Field Type Required Description
name String - Job position name
i18nNames Object - Job position multilingual name
i18nNames.{locale} String - Job position name by language
  • "Language code": "Value" format
  • Display the registered value among Korean, English, and Japanese.
sortOrd Number - Query display order
externalKey String - Job position external key

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

The response example is as follows:

{
    "page": {
        "count": 5,
        "offset": 0,
        "limit": 10,
        "total": 5
    },
    "jobPositions": [
        {
            "name": "CEO",
            "i18nNames": {
                "ko_KR": "CEO",
                "en_US": "CEO",
                "ja_JP": "CEO"
            },
            "sortOrd": 1,
            "externalKey": "CEO"
        },
        {
            "name": "Head Director",
            "i18nNames": {
                "ko_KR": "Head Director",
                "en_US": "General Manager",
                "ja_JP": "本部長"
            },
            "sortOrd": 2,
            "externalKey": "GM"
        },
        {
            "name": "Team leader",
            "i18nNames": {
                "ko_KR": "Team leader",
                "en_US": "Team Leader",
                "ja_JP": "チーム長"
            },
            "sortOrd": 3,
            "externalKey": "TL"
        },
        {
            "name": "Team member",
            "i18nNames": {
                "ko_KR": "Team member",
                "en_US": "Team members",
                "ja_JP": "チーム員"
            },
            "sortOrd": 4,
            "externalKey": "TM"
        },
        {
            "name": "PM",
            "i18nNames": {
                "ko_KR": "프로젝트 매니저",
                "en_US": "Project Manager"
            },
            "sortOrd": 5,
            "externalKey": "hg-position-5"
        }
    ]
}